## tevent 0.9.37

=== debian/changelog ===
tevent (0.9.37-1) unstable; urgency=medium

  * New upstream version 0.9.37
    - Bump build-depend on talloc to 2.1.13
    - Update symbols
  * d/control: Standards-Version: 4.2.1
  * d/control: Rules-Requires-Root: no
  * d/rules: Remove dbgsym-migration in override_dh_strip

 -- Mathieu Parent <sathieu@debian.org>  Mon, 17 Sep 2018 21:18:44 +0200

=== debian/control ===
Source: tevent
Section: devel
Priority: optional
Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
Uploaders: Jelmer Vernooij <jelmer@debian.org>, Mathieu Parent <sathieu@debian.org>
Build-Depends: debhelper (>= 11),
               libaio-dev [linux-any],
               libtalloc-dev (>= 2.1.13~),
               pkg-config,
               python,
               python-all-dev (>= 2.6.6-3),
               python-talloc-dev (>= 2.1.13~)
Rules-Requires-Root: no
Standards-Version: 4.2.1
Homepage: https://tevent.samba.org/
Vcs-Browser: https://salsa.debian.org/samba-team/tevent
Vcs-Git: https://salsa.debian.org/samba-team/tevent.git

Package: libtevent0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: talloc-based event loop library - shared library
 tevent is a simple library that can handle the main event loop for an
 application. It supports three kinds of events: timed events, file
 descriptors becoming readable or writable and signals.
 .
 Talloc is used for memory management, both internally and for private
 data provided by users of the library.
 .
 This package provides the shared library file.

Package: libtevent-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libc6-dev,
         libtalloc-dev,
         libtevent0 (= ${binary:Version}),
         ${misc:Depends}
Description: talloc-based event loop library - development files
 tevent is a simple library that can handle the main event loop for an
 application. It supports three kinds of events: timed events, file
 descriptors becoming readable or writable and signals.
 .
 Talloc is used for memory management, both internally and for private
 data provided by users of the library.
 .
 This package provides the development files.

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS = -g -Wall

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif

LDFLAGS += -Wl,--as-needed

DESTDIR=$(CURDIR)/debian/tmp

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $*

override_dh_auto_configure:
	CFLAGS="$(CFLAGS)" ./configure --prefix=/usr --bundled-libraries=NONE \
		   --disable-rpath --disable-rpath-install \
		   --minimum-library-version="$(shell ./debian/autodeps.py --minimum-library-version)" \
		   --libdir=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_build:
	$(MAKE) all

get-packaged-orig-source:
	./debian/build-orig.sh

override_dh_auto_clean:
	-./buildtools/bin/waf clean
	rm -f buildtools/wafsamba/*.pyc \
		third_party/waf/wafadmin/*.pyc \
		third_party/waf/wafadmin/Tools/*.pyc
	rm -rf bin
	rm -f .lock-wscript libtevent.a

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(DESTDIR)
	ar cr libtevent.a bin/default/*.o
	cp libtevent.a $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)
	# No python for now
	rm -f $(DESTDIR)/usr/lib/python*/*-packages/_tevent.so

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

## tevent 0.9.39

=== debian/changelog ===
tevent (0.9.39-0ubuntu1) disco; urgency=medium

  * New upstream version: 0.9.39 (LP: #1818523):
    - d/control: require talloc >= 2.1.16
    - d/rules: really clean all the temporary files
    - d/libtevent0.symbols: updated symbols
  * d/control, d/rules: disable python via ./configure, instead of building
    and deleting it. This also reduces build-deps. We still need
    python3, though, because it's used by the tevent buildsystem (waf)

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 08 Mar 2019 14:25:14 +0000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: tevent
 Section: devel
 Priority: optional
-Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
 Uploaders: Jelmer Vernooij <jelmer@debian.org>, Mathieu Parent <sathieu@debian.org>
 Build-Depends: debhelper (>= 11),
                libaio-dev [linux-any],
-               libtalloc-dev (>= 2.1.13~),
+               libtalloc-dev (>= 2.1.16~),
                pkg-config,
-               python,
-               python-all-dev (>= 2.6.6-3),
-               python-talloc-dev (>= 2.1.13~)
+               python3
 Rules-Requires-Root: no
 Standards-Version: 4.2.1
 Homepage: https://tevent.samba.org/

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 override_dh_auto_configure:
 	CFLAGS="$(CFLAGS)" ./configure --prefix=/usr --bundled-libraries=NONE \
-		   --disable-rpath --disable-rpath-install \
+		   --disable-rpath --disable-rpath-install --disable-python \
 		   --minimum-library-version="$(shell ./debian/autodeps.py --minimum-library-version)" \
 		   --libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
 
@@ -31,9 +31,7 @@
 
 override_dh_auto_clean:
 	-./buildtools/bin/waf clean
-	rm -f buildtools/wafsamba/*.pyc \
-		third_party/waf/wafadmin/*.pyc \
-		third_party/waf/wafadmin/Tools/*.pyc
+	find . -name __pycache__ -o -name "*.pyc" -exec rm -rf {} \;
 	rm -rf bin
 	rm -f .lock-wscript libtevent.a
 
@@ -41,8 +39,6 @@
 	$(MAKE) install DESTDIR=$(DESTDIR)
 	ar cr libtevent.a bin/default/*.o
 	cp libtevent.a $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)
-	# No python for now
-	rm -f $(DESTDIR)/usr/lib/python*/*-packages/_tevent.so
 
 override_dh_makeshlibs:
 	dh_makeshlibs -- -c4

## tevent 0.10.1

=== wscript ===
#!/usr/bin/env python

APPNAME = 'tevent'
VERSION = '0.10.1'

import sys, os

# find the buildtools directory
top = '.'
while not os.path.exists(top+'/buildtools') and len(top.split('/')) < 5:
    top = top + '/..'
sys.path.insert(0, top + '/buildtools/wafsamba')

out = 'bin'

import wafsamba
from wafsamba import samba_dist, samba_utils
from waflib import Options, Logs, Context

samba_dist.DIST_DIRS('lib/tevent:. lib/replace:lib/replace lib/talloc:lib/talloc buildtools:buildtools third_party/waf:third_party/waf')

def options(opt):
    opt.BUILTIN_DEFAULT('replace')
    opt.PRIVATE_EXTENSION_DEFAULT('tevent', noextension='tevent')
    opt.RECURSE('lib/replace')
    opt.RECURSE('lib/talloc')


def configure(conf):
    conf.RECURSE('lib/replace')
    conf.RECURSE('lib/talloc')

    conf.env.standalone_tevent = conf.IN_LAUNCH_DIR()

    if not conf.env.standalone_tevent:
        if conf.CHECK_BUNDLED_SYSTEM_PKG('tevent', minversion=VERSION,
                                     onlyif='talloc', implied_deps='replace talloc'):
            conf.define('USING_SYSTEM_TEVENT', 1)
            if not conf.env.disable_python and \
                conf.CHECK_BUNDLED_SYSTEM_PYTHON('pytevent', 'tevent', minversion=VERSION):
                conf.define('USING_SYSTEM_PYTEVENT', 1)

    if conf.CHECK_FUNCS('epoll_create', headers='sys/epoll.h'):
        conf.DEFINE('HAVE_EPOLL', 1)

    tevent_num_signals = 64
    v = conf.CHECK_VALUEOF('NSIG', headers='signal.h')
    if v is not None:
        tevent_num_signals = max(tevent_num_signals, v)
    v = conf.CHECK_VALUEOF('_NSIG', headers='signal.h')
    if v is not None:
        tevent_num_signals = max(tevent_num_signals, v)
    v = conf.CHECK_VALUEOF('SIGRTMAX', headers='signal.h')
    if v is not None:
        tevent_num_signals = max(tevent_num_signals, v)
    v = conf.CHECK_VALUEOF('SIGRTMIN', headers='signal.h')
    if v is not None:
        tevent_num_signals = max(tevent_num_signals, v*2)

    if not conf.CONFIG_SET('USING_SYSTEM_TEVENT'):
        conf.DEFINE('TEVENT_NUM_SIGNALS', tevent_num_signals)

    conf.SAMBA_CHECK_PYTHON()
    conf.SAMBA_CHECK_PYTHON_HEADERS()

    conf.SAMBA_CONFIG_H()

    conf.SAMBA_CHECK_UNDEFINED_SYMBOL_FLAGS()

def build(bld):
    bld.RECURSE('lib/replace')
    bld.RECURSE('lib/talloc')

    SRC = '''tevent.c tevent_debug.c tevent_fd.c tevent_immediate.c
             tevent_queue.c tevent_req.c tevent_wrapper.c
             tevent_poll.c tevent_threads.c
             tevent_signal.c tevent_standard.c tevent_timed.c tevent_util.c tevent_wakeup.c'''

    if bld.CONFIG_SET('HAVE_EPOLL'):
        SRC += ' tevent_epoll.c'

    if bld.CONFIG_SET('HAVE_SOLARIS_PORTS'):
        SRC += ' tevent_port.c'

    if bld.env.standalone_tevent:
        bld.env.PKGCONFIGDIR = '${LIBDIR}/pkgconfig'
        private_library = False
    else:
        private_library = True

    if not bld.CONFIG_SET('USING_SYSTEM_TEVENT'):
        tevent_deps = 'replace talloc'
        if bld.CONFIG_SET('HAVE_PTHREAD'):
            tevent_deps += ' pthread'

        bld.SAMBA_LIBRARY('tevent',
                          SRC,
                          deps=tevent_deps,
                          enabled= not bld.CONFIG_SET('USING_SYSTEM_TEVENT'),
                          includes='.',
                          abi_directory='ABI',
                          abi_match='tevent_* _tevent_*',
                          vnum=VERSION,
                          public_headers=('' if private_library else 'tevent.h'),
                          public_headers_install=not private_library,
                          pc_files='tevent.pc',
                          private_library=private_library)

    if not bld.CONFIG_SET('USING_SYSTEM_PYTEVENT') and not bld.env.disable_python:
        bld.SAMBA_PYTHON('_tevent',
                         'pytevent.c',
                         deps='tevent',
                         realname='_tevent.so',
                         cflags='-DPACKAGE_VERSION=\"%s\"' % VERSION)


        bld.INSTALL_WILDCARD('${PYTHONARCHDIR}', 'tevent.py', flat=False)

        # install out various python scripts for use by make test
        bld.SAMBA_SCRIPT('tevent_python',
                         pattern='tevent.py',
                         installdir='python')


def test(ctx):
    '''test tevent'''
    print("The tevent testsuite is part of smbtorture in samba4")

    samba_utils.ADD_LD_LIBRARY_PATH('bin/shared')
    samba_utils.ADD_LD_LIBRARY_PATH('bin/shared/private')

    pyret = samba_utils.RUN_PYTHON_TESTS(['bindings.py'])
    sys.exit(pyret)


def dist():
    '''makes a tarball for distribution'''
    samba_dist.dist()

def reconfigure(ctx):
    '''reconfigure if config scripts have changed'''
    samba_utils.reconfigure(ctx)

=== lib/replace/wscript ===
#!/usr/bin/env python

APPNAME = 'libreplace'
VERSION = '1.2.1'

import sys
import os

# find the buildtools directory
top = '.'
while not os.path.exists(top+'/buildtools') and len(top.split('/')) < 5:
    top = top + '/..'
sys.path.insert(0, top + '/buildtools/wafsamba')

out = 'bin'

import wafsamba
from wafsamba import samba_dist
from waflib import Options, Utils, Logs, Context

samba_dist.DIST_DIRS('lib/replace buildtools:buildtools third_party/waf:third_party/waf')

def options(opt):
    opt.BUILTIN_DEFAULT('NONE')
    opt.PRIVATE_EXTENSION_DEFAULT('')
    opt.RECURSE('buildtools/wafsamba')

@Utils.run_once
def configure(conf):
    conf.RECURSE('buildtools/wafsamba')

    conf.env.standalone_replace = conf.IN_LAUNCH_DIR()

    conf.DEFINE('HAVE_LIBREPLACE', 1)
    conf.DEFINE('LIBREPLACE_NETWORK_CHECKS', 1)

    conf.CHECK_HEADERS('linux/types.h crypt.h locale.h acl/libacl.h compat.h')
    conf.CHECK_HEADERS('acl/libacl.h attr/xattr.h compat.h ctype.h dustat.h')
    conf.CHECK_HEADERS('fcntl.h fnmatch.h glob.h history.h krb5.h langinfo.h')
    conf.CHECK_HEADERS('libaio.h locale.h ndir.h pwd.h')
    conf.CHECK_HEADERS('shadow.h sys/acl.h')
    conf.CHECK_HEADERS('sys/attributes.h attr/attributes.h sys/capability.h sys/dir.h sys/epoll.h')
    conf.CHECK_HEADERS('port.h')
    conf.CHECK_HEADERS('sys/fcntl.h sys/filio.h sys/filsys.h sys/fs/s5param.h')
    conf.CHECK_HEADERS('sys/id.h sys/ioctl.h sys/ipc.h sys/mman.h sys/mode.h sys/ndir.h sys/priv.h')
    conf.CHECK_HEADERS('sys/resource.h sys/security.h sys/shm.h sys/statfs.h sys/statvfs.h sys/termio.h')
    conf.CHECK_HEADERS('sys/vfs.h sys/xattr.h termio.h termios.h sys/file.h')
    conf.CHECK_HEADERS('sys/ucontext.h sys/wait.h sys/stat.h')

    if not conf.CHECK_DECLS('malloc', headers='stdlib.h'):
        conf.CHECK_HEADERS('malloc.h')

    conf.CHECK_HEADERS('grp.h')
    conf.CHECK_HEADERS('sys/select.h setjmp.h utime.h sys/syslog.h syslog.h')
    conf.CHECK_HEADERS('stdarg.h vararg.h sys/mount.h mntent.h')
    conf.CHECK_HEADERS('stropts.h unix.h string.h strings.h sys/param.h limits.h')
    conf.CHECK_HEADERS('''sys/socket.h netinet/in.h netdb.h arpa/inet.h netinet/in_systm.h
                          netinet/ip.h netinet/tcp.h netinet/in_ip.h
                          sys/sockio.h sys/un.h''', together=True)
    conf.CHECK_HEADERS('sys/uio.h ifaddrs.h direct.h dirent.h')
    conf.CHECK_HEADERS('windows.h winsock2.h ws2tcpip.h')
    conf.CHECK_HEADERS('errno.h')
    conf.CHECK_HEADERS('getopt.h iconv.h')
    conf.CHECK_HEADERS('memory.h nss.h sasl/sasl.h')

    conf.CHECK_FUNCS_IN('inotify_init', 'inotify', checklibc=True,
                        headers='sys/inotify.h')

    conf.CHECK_HEADERS('security/pam_appl.h zlib.h asm/unistd.h')
    conf.CHECK_HEADERS('aio.h sys/unistd.h alloca.h float.h')

    conf.SET_TARGET_TYPE('tirpc', 'EMPTY')

    if conf.CHECK_CODE(
            '\n#ifndef _TIRPC_RPC_H\n#error "no tirpc headers in system path"\n#endif\n',
            'HAVE_RPC_RPC_HEADERS',
            headers=['rpc/rpc.h', 'rpc/nettype.h'],
            msg='Checking for tirpc rpc headers in default system path'):
        if conf.CONFIG_SET('HAVE_RPC_RPC_H'):
            conf.undefine('HAVE_RPC_RPC_H')

    if not conf.CONFIG_SET('HAVE_RPC_RPC_H'):
        if conf.CHECK_CFG(package='libtirpc', args='--cflags --libs',
                       msg='Checking for libtirpc headers',
                       uselib_store='TIRPC'):
            conf.CHECK_HEADERS('rpc/rpc.h rpc/nettype.h', lib='tirpc', together=True)
            conf.SET_TARGET_TYPE('tirpc', 'SYSLIB')
    if not conf.CONFIG_SET('HAVE_RPC_RPC_H'):
        if conf.CHECK_CFG(package='libntirpc', args='--cflags',
                       msg='Checking for libntirpc headers',
                       uselib_store='TIRPC'):
            conf.CHECK_HEADERS('rpc/rpc.h rpc/nettype.h', lib='tirpc', together=True)
            conf.SET_TARGET_TYPE('tirpc', 'SYSLIB')
    if not conf.CONFIG_SET('HAVE_RPC_RPC_H'):
            Logs.warn('No rpc/rpc.h header found, tirpc or libntirpc missing?')

    conf.SET_TARGET_TYPE('nsl', 'EMPTY')
    conf.CHECK_HEADERS('rpc/rpc.h rpcsvc/yp_prot.h', lib='tirpc')
    if not conf.CONFIG_SET('HAVE_RPCSVC_YP_PROT_H'):
        if conf.CHECK_CFG(package='libnsl', args='--cflags --libs',
                          msg='Checking for libnsl',
                          uselib_store='NSL'):
            conf.SET_TARGET_TYPE('nsl', 'SYSLIB')
            conf.CHECK_HEADERS('rpc/rpc.h rpcsvc/yp_prot.h', lib='tirpc nsl')
        else:
            conf.SET_TARGET_TYPE('nsl', 'SYSLIB')
    conf.CHECK_HEADERS('rpcsvc/nis.h rpcsvc/ypclnt.h', lib='tirpc nsl')

    conf.CHECK_HEADERS('sys/sysctl.h')
    conf.CHECK_HEADERS('sys/fileio.h sys/filesys.h sys/dustat.h sys/sysmacros.h')
    conf.CHECK_HEADERS('xfs/libxfs.h netgroup.h')

    conf.CHECK_HEADERS('valgrind.h valgrind/valgrind.h')
    conf.CHECK_HEADERS('valgrind/memcheck.h valgrind/helgrind.h')
    conf.CHECK_HEADERS('nss_common.h nsswitch.h ns_api.h')
    conf.CHECK_HEADERS('sys/extattr.h sys/ea.h sys/proplist.h sys/cdefs.h')
    conf.CHECK_HEADERS('utmp.h utmpx.h lastlog.h')
    conf.CHECK_HEADERS('syscall.h sys/syscall.h inttypes.h')
    conf.CHECK_HEADERS('sys/atomic.h stdatomic.h')
    conf.CHECK_HEADERS('libgen.h')

    if conf.CHECK_CFLAGS('-Wno-format-truncation'):
        conf.define('HAVE_WNO_FORMAT_TRUNCATION', '1')

    if conf.CHECK_CFLAGS('-Wno-unused-function'):
        conf.define('HAVE_WNO_UNUSED_FUNCTION', '1')

    if conf.CHECK_CFLAGS('-Wno-strict-overflow'):
        conf.define('HAVE_WNO_STRICT_OVERFLOW', '1')

    # Check for process set name support
    conf.CHECK_CODE('''
                    #include <sys/prctl.h>
                    int main(void) {
                        prctl(0);
                        return 0;
                    }
                    ''',
                    'HAVE_PRCTL',
                    headers='sys/prctl.h',
                    msg='Checking for prctl syscall')

    conf.CHECK_CODE('''
                    #include <unistd.h>
                    #ifdef HAVE_FCNTL_H
                    #include <fcntl.h>
                    #endif
                    int main(void) { int fd = open("/dev/null", O_DIRECT); }
                    ''',
                    define='HAVE_OPEN_O_DIRECT',
                    addmain=False,
                    msg='Checking for O_DIRECT flag to open(2)')

    conf.CHECK_TYPES('"long long" intptr_t uintptr_t ptrdiff_t comparison_fn_t')
    conf.CHECK_TYPE('_Bool', define='HAVE__Bool')
    conf.CHECK_TYPE('bool', define='HAVE_BOOL')

    conf.CHECK_TYPE('int8_t', 'char')
    conf.CHECK_TYPE('uint8_t', 'unsigned char')
    conf.CHECK_TYPE('int16_t', 'short')
    conf.CHECK_TYPE('uint16_t', 'unsigned short')
    conf.CHECK_TYPE('int32_t', 'int')
    conf.CHECK_TYPE('uint32_t', 'unsigned')
    conf.CHECK_TYPE('int64_t', 'long long')
    conf.CHECK_TYPE('uint64_t', 'unsigned long long')
    conf.CHECK_TYPE('size_t', 'unsigned int')
    conf.CHECK_TYPE('ssize_t', 'int')
    conf.CHECK_TYPE('ino_t', 'unsigned')
    conf.CHECK_TYPE('loff_t', 'off_t')
    conf.CHECK_TYPE('offset_t', 'loff_t')
    conf.CHECK_TYPE('volatile int', define='HAVE_VOLATILE')
    conf.CHECK_TYPE('uint_t', 'unsigned int')
    conf.CHECK_TYPE('blksize_t', 'long', headers='sys/types.h sys/stat.h unistd.h')
    conf.CHECK_TYPE('blkcnt_t', 'long', headers='sys/types.h sys/stat.h unistd.h')

    conf.CHECK_SIZEOF('bool char int "long long" long short size_t ssize_t')
    conf.CHECK_SIZEOF('int8_t uint8_t int16_t uint16_t int32_t uint32_t int64_t uint64_t')
    conf.CHECK_SIZEOF('void*', define='SIZEOF_VOID_P')
    conf.CHECK_SIZEOF('off_t dev_t ino_t time_t')

    conf.CHECK_TYPES('socklen_t', headers='sys/socket.h')
    conf.CHECK_TYPE_IN('struct ifaddrs', 'ifaddrs.h')
    conf.CHECK_TYPE_IN('struct addrinfo', 'netdb.h')
    conf.CHECK_TYPE_IN('struct sockaddr', 'sys/socket.h')
    conf.CHECK_CODE('struct sockaddr_in6 x', define='HAVE_STRUCT_SOCKADDR_IN6',
                    headers='sys/socket.h netdb.h netinet/in.h')
    conf.CHECK_TYPE_IN('struct sockaddr_storage', 'sys/socket.h')
    conf.CHECK_TYPE_IN('sa_family_t', 'sys/socket.h')

    conf.CHECK_TYPE_IN('sig_atomic_t', 'signal.h', define='HAVE_SIG_ATOMIC_T_TYPE')
    conf.CHECK_FUNCS('sigsetmask siggetmask sigprocmask sigblock sigaction sigset')

    conf.CHECK_FUNCS_IN('''inet_ntoa inet_aton inet_ntop inet_pton connect gethostbyname
                           getaddrinfo getnameinfo freeaddrinfo gai_strerror socketpair''',
                        'socket nsl', checklibc=True,
                        headers='sys/socket.h netinet/in.h arpa/inet.h netdb.h')

    conf.CHECK_FUNCS('memset_s memset_explicit')

    conf.CHECK_CODE('''
                    #include <string.h>

                    int main(void)
                    {
                        char buf[] = "This is some content";
                        memset(buf, '\0', sizeof(buf)); __asm__ volatile("" : : "g"(&buf) : "memory");
                        return 0;
                    }
                    ''',
                    define='HAVE_GCC_VOLATILE_MEMORY_PROTECTION',
                    addmain=False,
                    msg='Checking for volatile memory protection',
                    local_include=False)

    # Some old Linux systems have broken header files and
    # miss the IPV6_V6ONLY define in netinet/in.h,
    # but have it in linux/in6.h.
    # We can't include both files so we just check if the value
    # if defined and do the replacement in system/network.h
    if not conf.CHECK_VARIABLE('IPV6_V6ONLY',
                               headers='sys/socket.h netdb.h netinet/in.h'):
        conf.CHECK_CODE('''
                        #include <linux/in6.h>
                        #if (IPV6_V6ONLY != 26)
                        #error no IPV6_V6ONLY support on linux
                        #endif
                        int main(void) { return IPV6_V6ONLY; }
                        ''',
                        define='HAVE_LINUX_IPV6_V6ONLY_26',
                        addmain=False,
                        msg='Checking for IPV6_V6ONLY in linux/in6.h',
                        local_include=False)

    conf.CHECK_CODE('''
                       struct sockaddr_storage sa_store;
                       struct addrinfo *ai = NULL;
                       struct in6_addr in6addr;
                       int idx = if_nametoindex("iface1");
                       int s = socket(AF_INET6, SOCK_STREAM, 0);
                       int ret = getaddrinfo(NULL, NULL, NULL, &ai);
                       if (ret != 0) {
                           const char *es = gai_strerror(ret);
                       }
                       freeaddrinfo(ai);
                       {
                          int val = 1;
                          #ifdef HAVE_LINUX_IPV6_V6ONLY_26
                          #define IPV6_V6ONLY 26
                          #endif
                          ret = setsockopt(s, IPPROTO_IPV6, IPV6_V6ONLY,
                                           (const void *)&val, sizeof(val));
                       }
                       ''',
                    define='HAVE_IPV6',
                    lib='nsl socket',
                    headers='sys/socket.h netdb.h netinet/in.h net/if.h')

    if conf.CONFIG_SET('HAVE_SYS_UCONTEXT_H') and conf.CONFIG_SET('HAVE_SIGNAL_H'):
        conf.CHECK_CODE('''
                       ucontext_t uc;
                       sigaddset(&uc.uc_sigmask, SIGUSR1);
                       ''',
                       'HAVE_UCONTEXT_T',
                       msg="Checking whether we have ucontext_t",
                       headers='signal.h sys/ucontext.h')

    # Check for atomic builtins. */
    conf.CHECK_CODE('''
                    int i;
                    (void)__sync_fetch_and_add(&i, 1);
                    ''',
                    'HAVE___SYNC_FETCH_AND_ADD',

=== debian/changelog ===
tevent (0.10.1-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.4.1, no changes needed.
  * Rely on pre-initialized dpkg-architecture variables.

 -- Mathieu Parent <sathieu@debian.org>  Sun, 17 Nov 2019 14:36:24 +0100

tevent (0.10.1-3) unstable; urgency=medium

  * Upload to unstable

 -- Mathieu Parent <sathieu@debian.org>  Sat, 14 Sep 2019 09:55:27 +0200

tevent (0.10.1-2) experimental; urgency=medium

  [ Helmut Grohne ]
  * Improve cross building. (Closes: #939618)
    + Annotate the python3 Build-Depends with :any.
    + Export CC and PKGCONFIG for waf.
    + cross.patch: don't run an unnecessary hello world test
    + cross.patch: use compile-only checks for sizeof validation

 -- Mathieu Parent <sathieu@debian.org>  Sat, 14 Sep 2019 08:35:29 +0200

tevent (0.10.1-1) experimental; urgency=medium

  * Upload to experimental
  * New upstream version 0.10.1
    - d/watch Unpin to tevent 0.9.x
    - Bump build-depend on talloc to 2.3.0
    - Build-Depends: python3-distutils even with --disable-python
    - Disable python tests
    - Update symbols (no change)

 -- Mathieu Parent <sathieu@debian.org>  Fri, 13 Sep 2019 19:56:21 +0200

tevent (0.9.39-2) unstable; urgency=medium

  * Upload to unstable
  * Bump debhelper from old 11 to 12.
  * Standards-Version: 4.4.0
  * d/copyright:
    - s/GPL-3+/GPL-3.0+/ and s/LGPL-3+/LGPL-3.0+/
    - Move License details to end of file
    - Add waf licences
    - Add lib/replace licences
    - Add lib/talloc/* licenses

 -- Mathieu Parent <sathieu@debian.org>  Thu, 29 Aug 2019 14:43:48 +0200

tevent (0.9.39-1) experimental; urgency=medium

  [ Mathieu Parent ]
  * Lintian:
    - Fix public-upstream-key-not-minimal
    - Add Build-Depends-Package field in d/*.symbols
    - Standards-Version: 4.3.0
  * Add Debian pipeline (debian/salsa-ci.yml)
  * d/watch: Pin to tevent 0.9.x for now as 0.10.x drop --extra-python support
  * New upstream version 0.9.39

  [ Andreas Hasenack ]
  * d/rules: really clean all the temporary files
  * d/libtevent0.symbols: updated symbols
  * d/control, d/rules: disable python via ./configure, instead of building and
    deleting it. This also reduces build-deps.
  * d/control: build depend on python3, not python
  * d/control: require talloc >= 2.1.16

 -- Mathieu Parent <sathieu@debian.org>  Fri, 23 Aug 2019 00:01:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: tevent
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
+Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
 Uploaders: Jelmer Vernooij <jelmer@debian.org>, Mathieu Parent <sathieu@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                libaio-dev [linux-any],
-               libtalloc-dev (>= 2.1.16~),
+               libtalloc-dev (>= 2.3.0~),
                pkg-config,
-               python3
+               python3:any,
+               python3-distutils
 Rules-Requires-Root: no
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Homepage: https://tevent.samba.org/
 Vcs-Browser: https://salsa.debian.org/samba-team/tevent
 Vcs-Git: https://salsa.debian.org/samba-team/tevent.git

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,10 @@
 #!/usr/bin/make -f
+
+# Export CC and PKGCONFIG for waf
+-include /usr/share/dpkg/buildtools.mk
+export CC
+PKG_CONFIG ?= pkg-config
+export PKGCONFIG=${PKG_CONFIG}
 
 CFLAGS = -g -Wall
 
@@ -12,7 +18,7 @@
 
 DESTDIR=$(CURDIR)/debian/tmp
 
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+include /usr/share/dpkg/architecture.mk
 
 %:
 	dh $*
@@ -31,7 +37,13 @@
 
 override_dh_auto_clean:
 	-./buildtools/bin/waf clean
-	find . -name __pycache__ -o -name "*.pyc" -exec rm -rf {} \;
+	rm -rf buildtools/wafsamba/*.pyc \
+		buildtools/wafsamba/__pycache__ \
+		third_party/waf/wafadmin/*.pyc \
+		third_party/waf/wafadmin/Tools/*.pyc \
+		third_party/waf/waflib/Tools/__pycache__ \
+		third_party/waf/waflib/__pycache__ \
+		third_party/waf/waflib/extras/__pycache__
 	rm -rf bin
 	rm -f .lock-wscript libtevent.a

## tevent 0.10.2

=== debian/changelog ===
tevent (0.10.2-1A~5.0.0.202011022206) ucs5-0-0-0; urgency=low

  * UCS auto build. The following patches have been applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Mon, 02 Nov 2020 22:06:07 +0100

tevent (0.10.2-1) unstable; urgency=medium

  * New upstream release

 -- Arvid Requate <requate@univention.de>  Tue, 20 Oct 2020 14:14:42 +0200

tevent (0.9.39-1) unstable; urgency=medium

  * New upstream release

 -- Arvid Requate <requate@univention.de>  Thu, 21 Mar 2019 12:15:28 +0100

tevent (0.9.38-1) unstable; urgency=medium

  * New upstream release

 -- Arvid Requate <requate@univention.de>  Mon, 11 Feb 2019 16:21:51 +0100

tevent (0.9.36-1) unstable; urgency=medium

  * New upstream release

 -- Arvid Requate <requate@univention.de>  Wed, 01 Aug 2018 20:00:26 +0200

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,17 @@
 Section: devel
 Priority: optional
 Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
-Uploaders: Jelmer Vernooij <jelmer@debian.org>, Mathieu Parent <sathieu@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Uploaders: Jelmer Vernooĳ <jelmer@debian.org>, Mathieu Parent <sathieu@debian.org>
+Build-Depends: debhelper (>= 11),
                libaio-dev [linux-any],
-               libtalloc-dev (>= 2.3.0~),
+               libtalloc-dev (>= 2.3.1~),
                pkg-config,
                python3:any,
-               python3-distutils
+               python3-distutils,
+               python3-dev,
+               python3-talloc-dev (>= 2.3.1~)
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
+Standards-Version: 4.2.1
 Homepage: https://tevent.samba.org/
 Vcs-Browser: https://salsa.debian.org/samba-team/tevent
 Vcs-Git: https://salsa.debian.org/samba-team/tevent.git
@@ -48,3 +50,19 @@
  data provided by users of the library.
  .
  This package provides the development files.
+
+Package: python3-tevent
+Pre-Depends: ${misc:Pre-Depends}
+Architecture: any
+Section: python
+Provides: ${python3:Provides}
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
+Description: talloc-based event loop library - development files
+ tevent is a simple library that can handle the main event loop for an
+ application. It supports three kinds of events: timed events, file
+ descriptors becoming readable or writable and signals.
+ .
+ Talloc is used for memory management, both internally and for private
+ data provided by users of the library.
+ .
+ This package contains the Python3 bindings.

=== debian/rules ===
--- 
+++ 
@@ -18,14 +18,17 @@
 
 DESTDIR=$(CURDIR)/debian/tmp
 
-include /usr/share/dpkg/architecture.mk
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
-	dh $*
+	dh $@ --with python3
 
+override_dh_auto_test:
+	:
+ 
 override_dh_auto_configure:
-	CFLAGS="$(CFLAGS)" ./configure --prefix=/usr --bundled-libraries=NONE \
-		   --disable-rpath --disable-rpath-install --disable-python \
+	LDFLAGS="$(LDFLAGS)" CFLAGS="$(CFLAGS)" ./configure --prefix=/usr --bundled-libraries=NONE \
+		   --disable-rpath --disable-rpath-install \
 		   --minimum-library-version="$(shell ./debian/autodeps.py --minimum-library-version)" \
 		   --libdir=/usr/lib/$(DEB_HOST_MULTIARCH)

## tevent 0.11.0

=== lib/talloc/wscript ===
#!/usr/bin/env python

APPNAME = 'talloc'
VERSION = '2.3.2'

import os
import sys

# find the buildtools directory
top = '.'
while not os.path.exists(top+'/buildtools') and len(top.split('/')) < 5:
    top = top + '/..'
sys.path.insert(0, top + '/buildtools/wafsamba')

out = 'bin'

import wafsamba
from wafsamba import samba_dist, samba_utils
from waflib import Logs, Options, Context

# setup what directories to put in a tarball
samba_dist.DIST_DIRS("""lib/talloc:. lib/replace:lib/replace
buildtools:buildtools third_party/waf:third_party/waf""")


def options(opt):
    opt.BUILTIN_DEFAULT('replace')
    opt.PRIVATE_EXTENSION_DEFAULT('talloc', noextension='talloc')
    opt.RECURSE('lib/replace')
    if opt.IN_LAUNCH_DIR():
        opt.add_option('--enable-talloc-compat1',
                       help=("Build talloc 1.x.x compat library [False]"),
                       action="store_true", dest='TALLOC_COMPAT1', default=False)


def configure(conf):
    conf.RECURSE('lib/replace')

    conf.env.standalone_talloc = conf.IN_LAUNCH_DIR()

    conf.define('TALLOC_BUILD_VERSION_MAJOR', int(VERSION.split('.')[0]))
    conf.define('TALLOC_BUILD_VERSION_MINOR', int(VERSION.split('.')[1]))
    conf.define('TALLOC_BUILD_VERSION_RELEASE', int(VERSION.split('.')[2]))

    conf.env.TALLOC_COMPAT1 = False
    if conf.env.standalone_talloc:
        conf.env.TALLOC_COMPAT1 = Options.options.TALLOC_COMPAT1
        conf.env.PKGCONFIGDIR = '${LIBDIR}/pkgconfig'
        conf.env.TALLOC_VERSION = VERSION

    conf.CHECK_XSLTPROC_MANPAGES()

    conf.CHECK_HEADERS('sys/auxv.h')
    conf.CHECK_FUNCS('getauxval')

    conf.SAMBA_CONFIG_H()

    conf.SAMBA_CHECK_UNDEFINED_SYMBOL_FLAGS()

    conf.SAMBA_CHECK_PYTHON()
    conf.SAMBA_CHECK_PYTHON_HEADERS()

    if not conf.env.standalone_talloc:
        if conf.CHECK_BUNDLED_SYSTEM_PKG('talloc', minversion=VERSION,
                                     implied_deps='replace'):
            conf.define('USING_SYSTEM_TALLOC', 1)

        if conf.env.disable_python:
            using_system_pytalloc_util = False
        else:
            using_system_pytalloc_util = True
            name = 'pytalloc-util' + conf.all_envs['default']['PYTHON_SO_ABI_FLAG']
            if not conf.CHECK_BUNDLED_SYSTEM_PKG(name, minversion=VERSION,
                                                 implied_deps='talloc replace'):
                using_system_pytalloc_util = False

        if using_system_pytalloc_util:
            conf.define('USING_SYSTEM_PYTALLOC_UTIL', 1)


def build(bld):
    bld.RECURSE('lib/replace')

    if bld.env.standalone_talloc:
        private_library = False

        # should we also install the symlink to libtalloc1.so here?
        bld.SAMBA_LIBRARY('talloc-compat1-%s' % (VERSION),
                          'compat/talloc_compat1.c',
                          public_deps='talloc',
                          soname='libtalloc.so.1',
                          pc_files=[],
                          public_headers=[],
                          enabled=bld.env.TALLOC_COMPAT1)

        testsuite_deps = 'talloc'
        if bld.CONFIG_SET('HAVE_PTHREAD'):
            testsuite_deps += ' pthread'

        bld.SAMBA_BINARY('talloc_testsuite',
                         'testsuite_main.c testsuite.c',
                         testsuite_deps,
                         install=False)

        bld.SAMBA_BINARY('talloc_test_magic_differs_helper',
                         'test_magic_differs_helper.c',
                         'talloc', install=False)

    else:
        private_library = True

    if not bld.CONFIG_SET('USING_SYSTEM_TALLOC'):

        bld.SAMBA_LIBRARY('talloc',
                          'talloc.c',
                          deps='replace',
                          abi_directory='ABI',
                          abi_match='talloc* _talloc*',
                          hide_symbols=True,
                          vnum=VERSION,
                          public_headers=('' if private_library else 'talloc.h'),
                          pc_files='talloc.pc',
                          public_headers_install=not private_library,
                          private_library=private_library,
                          manpages='man/talloc.3')

    if not bld.CONFIG_SET('USING_SYSTEM_PYTALLOC_UTIL'):
        name = bld.pyembed_libname('pytalloc-util')

        bld.SAMBA_LIBRARY(name,
                source='pytalloc_util.c',
                public_deps='talloc',
                pyembed=True,
                vnum=VERSION,
                hide_symbols=True,
                abi_directory='ABI',
                abi_match='pytalloc_* _pytalloc_*',
                private_library=private_library,
                public_headers=('' if private_library else 'pytalloc.h'),
                pc_files='pytalloc-util.pc',
                enabled=bld.PYTHON_BUILD_IS_ENABLED()
                )
        bld.SAMBA_PYTHON('pytalloc',
                         'pytalloc.c',
                         deps='talloc ' + name,
                         enabled=bld.PYTHON_BUILD_IS_ENABLED(),
                         realname='talloc.so')

        bld.SAMBA_PYTHON('test_pytalloc',
                         'test_pytalloc.c',
                         deps=name,
                         enabled=bld.PYTHON_BUILD_IS_ENABLED(),
                         realname='_test_pytalloc.so',
                         install=False)


def testonly(ctx):
    '''run talloc testsuite'''
    import samba_utils

    samba_utils.ADD_LD_LIBRARY_PATH('bin/shared')
    samba_utils.ADD_LD_LIBRARY_PATH('bin/shared/private')

    cmd = os.path.join(Context.g_module.out, 'talloc_testsuite')
    ret = samba_utils.RUN_COMMAND(cmd)
    print("testsuite returned %d" % ret)
    magic_helper_cmd = os.path.join(Context.g_module.out, 'talloc_test_magic_differs_helper')
    magic_cmd = os.path.join(Context.g_module.top, 'lib', 'talloc',
                             'test_magic_differs.sh')
    if not os.path.exists(magic_cmd):
        magic_cmd = os.path.join(Context.g_module.top, 'test_magic_differs.sh')

    magic_ret = samba_utils.RUN_COMMAND(magic_cmd + " " +  magic_helper_cmd)
    print("magic differs test returned %d" % magic_ret)
    pyret = samba_utils.RUN_PYTHON_TESTS(['test_pytalloc.py'])
    print("python testsuite returned %d" % pyret)
    sys.exit(ret or magic_ret or pyret)

# WAF doesn't build the unit tests for this, maybe because they don't link with talloc?
# This forces it
def test(ctx):
    Options.commands.append('build')
    Options.commands.append('testonly')

def dist():
    '''makes a tarball for distribution'''
    samba_dist.dist()

def reconfigure(ctx):
    '''reconfigure if config scripts have changed'''
    samba_utils.reconfigure(ctx)


def pydoctor(ctx):
    '''build python apidocs'''
    cmd='PYTHONPATH=bin/python pydoctor --project-name=talloc --project-url=http://talloc.samba.org/ --make-html --docformat=restructuredtext --introspect-c-modules --add-module bin/python/talloc.*'
    print("Running: %s" % cmd)
    os.system(cmd)

=== debian/changelog ===
tevent (0.11.0-1build1) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 25 Mar 2022 10:52:21 +0100

tevent (0.11.0-1) unstable; urgency=medium

  * New upstream version 0.11.0
    - Update 0001-Disable-python-tests.patch
    - Bump build-depend on talloc to 2.3.2
    - Add Build-Depends: libcmocka-dev (>= 1.1.3)
    - Update symbols
  * Update watch file format version to 4
  * d/copyright: Fix duplicate-globbing-patterns
  * Standards-Version: 4.5.1

 -- Mathieu Parent <sathieu@debian.org>  Tue, 14 Dec 2021 09:43:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: tevent
 Section: devel
 Priority: optional
-Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
-Uploaders: Jelmer Vernooĳ <jelmer@debian.org>, Mathieu Parent <sathieu@debian.org>
-Build-Depends: debhelper (>= 11),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
+Uploaders: Jelmer Vernooij <jelmer@debian.org>, Mathieu Parent <sathieu@debian.org>
+Build-Depends: debhelper-compat (= 12),
                libaio-dev [linux-any],
-               libtalloc-dev (>= 2.3.1~),
+               libcmocka-dev (>= 1.1.3),
+               libtalloc-dev (>= 2.3.2~),
                pkg-config,
                python3:any,
-               python3-distutils,
-               python3-dev,
-               python3-talloc-dev (>= 2.3.1~)
+               python3-distutils
 Rules-Requires-Root: no
-Standards-Version: 4.2.1
+Standards-Version: 4.5.1
 Homepage: https://tevent.samba.org/
 Vcs-Browser: https://salsa.debian.org/samba-team/tevent
 Vcs-Git: https://salsa.debian.org/samba-team/tevent.git
@@ -50,19 +50,3 @@
  data provided by users of the library.
  .
  This package provides the development files.
-
-Package: python3-tevent
-Pre-Depends: ${misc:Pre-Depends}
-Architecture: any
-Section: python
-Provides: ${python3:Provides}
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
-Description: talloc-based event loop library - development files
- tevent is a simple library that can handle the main event loop for an
- application. It supports three kinds of events: timed events, file
- descriptors becoming readable or writable and signals.
- .
- Talloc is used for memory management, both internally and for private
- data provided by users of the library.
- .
- This package contains the Python3 bindings.

=== debian/rules ===
--- 
+++ 
@@ -18,17 +18,14 @@
 
 DESTDIR=$(CURDIR)/debian/tmp
 
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+include /usr/share/dpkg/architecture.mk
 
 %:
-	dh $@ --with python3
+	dh $@
 
-override_dh_auto_test:
-	:
- 
 override_dh_auto_configure:
-	LDFLAGS="$(LDFLAGS)" CFLAGS="$(CFLAGS)" ./configure --prefix=/usr --bundled-libraries=NONE \
-		   --disable-rpath --disable-rpath-install \
+	CFLAGS="$(CFLAGS)" ./configure --prefix=/usr --bundled-libraries=NONE \
+		   --disable-rpath --disable-rpath-install --disable-python \
 		   --minimum-library-version="$(shell ./debian/autodeps.py --minimum-library-version)" \
 		   --libdir=/usr/lib/$(DEB_HOST_MULTIARCH)

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/tar\.gz/tar.asc/,decompress https://download.samba.org/pub/tevent/ tevent-(.+).tar.gz

## tevent 0.12.0

=== debian/changelog ===
tevent (0.12.0-1) unstable; urgency=medium

  * New upstream version
  * libtevent0.symbols: new symbols:
    tevent_get_trace_queue_callback
    tevent_queue_entry_get_tag
    tevent_queue_entry_set_tag
    tevent_set_trace_queue_callback
    tevent_trace_queue_callback
  * add myself to Uploaders.
  * many packaging tweaks and cleanups:
    - use buildflags.mk instead of our own CFLAGS
    - enable hardening=+all
    - use DEB_CFLAGS_MAINT_APPEND = -g -Wall
    - set SHELL=/bin/sh -e
    - reorder rules for readability
    - reformat configure flags for readability
    - set configure environment vars in one place
    - use bin/config-stamp dep in configure & build
      to stop running configure on every (re)build
    - remove override_dh_makeshlibs
      (export DPKG_GENSYMBOLS_CHECK_LEVEL instead)
    - simplify clean target
    - explicit override_dh_auto_test
    - fix salsa-ci test failure with closed fd#0
    - switch to using waf directly (& parallel)
    - stop using --minimum-library-version=
      in configure line (not very useful)
    - bump dh-compat to 13
    - explicitly list targets which goes to dh
    - adopt significantly faster version of
      /usr/share/dpkg/architecture.mk to set all vars in 1 go

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 02 May 2022 21:56:00 +0300

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: tevent
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
-Uploaders: Jelmer Vernooij <jelmer@debian.org>, Mathieu Parent <sathieu@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
+Uploaders:
+	Jelmer Vernooij <jelmer@debian.org>,
+	Mathieu Parent <sathieu@debian.org>,
+	Michael Tokarev <mjt@tls.msk.ru>
+Build-Depends: debhelper-compat (= 13),
                libaio-dev [linux-any],
                libcmocka-dev (>= 1.1.3),
                libtalloc-dev (>= 2.3.2~),
@@ -12,7 +14,7 @@
                python3:any,
                python3-distutils
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://tevent.samba.org/
 Vcs-Browser: https://salsa.debian.org/samba-team/tevent
 Vcs-Git: https://salsa.debian.org/samba-team/tevent.git

=== debian/rules ===
#!/usr/bin/make -f
SHELL = /bin/sh -e

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -g -Wall
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

# Fast version of dpkg/architecture.mk defining all vars in one go
ifeq (${DEB_HOST_MULTIARCH},)
   $(foreach d, $(shell dpkg-architecture | sed 's/=/?=/'), $(eval export $d))
endif
include /usr/share/dpkg/buildtools.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/buildopts.mk
V = 1
WAF = PYTHONHASHSEED=1 ./buildtools/bin/waf \
        $(if ${DEB_BUILD_OPTION_PARALLEL},-j${DEB_BUILD_OPTION_PARALLEL})

DESTDIR=$(CURDIR)/debian/tmp

build-arch build-indep build \
install-indep install-arch install \
binary-arch binary-indep binary \
: %:
	dh $@

override_dh_auto_configure: bin/config-stamp
bin/config-stamp:
	CC="${CC}" CFLAGS="${CFLAGS}" CPPFLAGS="${CPPFLAGS}" \
	  PKGCONFIG="${PKG_CONFIG}" \
	    ${WAF} -j1 configure -C \
		--prefix=/usr \
		--libdir=/usr/lib/${DEB_HOST_MULTIARCH} \
		--disable-rpath --disable-rpath-install \
		--disable-python \
		--bundled-libraries=NONE \

	touch $@

override_dh_auto_build: bin/config-stamp
	${WAF} build $(if $V,-v)
	ar cr bin/libtevent.a bin/default/*.o

override_dh_auto_test:
ifeq (,$(findstring nocheck,${DEB_BUILD_OPTIONS}))
# for some weird reason, salsa-ci run build with fd#0 *closed*(!) and the test fail
	${WAF} test </dev/null
endif

override_dh_auto_install:
	${WAF} install --destdir=${DESTDIR}
	cp bin/libtevent.a ${DESTDIR}/usr/lib/${DEB_HOST_MULTIARCH}

clean:
	# see also debian/clean
	dh_clean bin/ compile_commands.json

get-packaged-orig-source:
	./debian/build-orig.sh

## tevent 0.13.0

=== debian/changelog ===
tevent (0.13.0-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports (no changes).

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 03 Nov 2022 08:09:44 +0300

tevent (0.13.0-2) unstable; urgency=medium

  * d/rules: inline parallel check from dpkg/buildopts.mk
  * use CFLAGS/LDFLAGS when running configure the same way
    as in other samba packages
  * d/rules: make it more like other samba d/rules files (minor changes)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 30 Oct 2022 11:50:07 +0300

tevent (0.13.0-1) unstable; urgency=medium

  * new upstream release (0.13.0)
  * d/libtevent0.symbols: add new version
  * d/control: build-depend on libtalloc >= 2.3.4

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 05 Sep 2022 12:54:26 +0300

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends: debhelper-compat (= 13),
                libaio-dev [linux-any],
                libcmocka-dev (>= 1.1.3),
-               libtalloc-dev (>= 2.3.2~),
+               libtalloc-dev (>= 2.3.4~),
                pkg-config,
                python3:any,
                python3-distutils

=== debian/rules ===
--- 
+++ 
@@ -9,14 +9,13 @@
 ifeq (${DEB_HOST_MULTIARCH},)
    $(foreach d, $(shell dpkg-architecture | sed 's/=/?=/'), $(eval export $d))
 endif
-include /usr/share/dpkg/buildtools.mk
 include /usr/share/dpkg/buildflags.mk
-include /usr/share/dpkg/buildopts.mk
 V = 1
 WAF = PYTHONHASHSEED=1 ./buildtools/bin/waf \
-        $(if ${DEB_BUILD_OPTION_PARALLEL},-j${DEB_BUILD_OPTION_PARALLEL})
+	$(if $(filter parallel=%,${DEB_BUILD_OPTIONS}),\
+	  $(patsubst parallel=%,-j%,$(filter parallel=%,${DEB_BUILD_OPTIONS})))
 
-DESTDIR=$(CURDIR)/debian/tmp
+DESTDIR = ${CURDIR}/debian/tmp
 
 build-arch build-indep build \
 install-indep install-arch install \
@@ -26,23 +25,22 @@
 
 override_dh_auto_configure: bin/config-stamp
 bin/config-stamp:
-	CC="${CC}" CFLAGS="${CFLAGS}" CPPFLAGS="${CPPFLAGS}" \
-	  PKGCONFIG="${PKG_CONFIG}" \
-	    ${WAF} -j1 configure -C \
+	CPPFLAGS="${CPPFLAGS}" CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}" \
+	    ${WAF} -j1 -C configure \
 		--prefix=/usr \
 		--libdir=/usr/lib/${DEB_HOST_MULTIARCH} \
 		--disable-rpath --disable-rpath-install \
+		--bundled-libraries=NONE \
 		--disable-python \
-		--bundled-libraries=NONE \
-
-	touch $@
+	    && touch $@
 
 override_dh_auto_build: bin/config-stamp
 	${WAF} build $(if $V,-v)
+	# Waf should be doing this..
 	ar cr bin/libtevent.a bin/default/*.o
 
 override_dh_auto_test:
-ifeq (,$(findstring nocheck,${DEB_BUILD_OPTIONS}))
+ifeq (,$(filter nocheck,${DEB_BUILD_OPTIONS}))
 # for some weird reason, salsa-ci run build with fd#0 *closed*(!) and the test fail
 	${WAF} test </dev/null
 endif
